### Class

# Foundry UnixFDMap

#### Description

    final class Foundry.UnixFDMap : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### foundry_unix_fd_map_new

No description available.

#### Instance methods

###### foundry_unix_fd_map_create_stream

Creates a `GIOStream` to communicate with another process.

###### foundry_unix_fd_map_get

No description available.

###### foundry_unix_fd_map_get_length

No description available.

###### foundry_unix_fd_map_get_max_dest_fd

No description available.

###### foundry_unix_fd_map_open_file

No description available.

###### foundry_unix_fd_map_peek

No description available.

###### foundry_unix_fd_map_peek_stderr

No description available.

###### foundry_unix_fd_map_peek_stdin

No description available.

###### foundry_unix_fd_map_peek_stdout

No description available.

###### foundry_unix_fd_map_silence_fd

No description available.

###### foundry_unix_fd_map_stderr_isatty

No description available.

###### foundry_unix_fd_map_stdin_isatty

No description available.

###### foundry_unix_fd_map_stdout_isatty

No description available.

###### foundry_unix_fd_map_steal

No description available.

###### foundry_unix_fd_map_steal_from

No description available.

###### foundry_unix_fd_map_steal_stderr

No description available.

###### foundry_unix_fd_map_steal_stdin

No description available.

###### foundry_unix_fd_map_steal_stdout

No description available.

###### foundry_unix_fd_map_take

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryUnixFDMapClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.